server:
  port: 8001

spring:
  profiles:
    active: dev
  application:
    name: service-product
  devtools:
    livereload:
      port: 0

  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://${datasource.master.host}:${datasource.master.port}/${datasource.master.database}?serverTimezone=GMT%2B8&useSSL=false&characterEncoding=utf-8&allowPublicKeyRetrieval=true
    username: ${datasource.master.username}
    password: ${datasource.master.password}
    hikari:
      maximum-pool-size: 20
      connection-timeout: 30000

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss

mybatis-plus:
  mapper-locations: classpath:/mapper/*.xml
  global-config:
    db-config:
      id-type: auto
      logic-delete-value: 1
      logic-not-delete-value: 0

# LTAI5tMynexvsUvznfXXL6x4
# 8H3EwbyvCKQ9FiTpnRzOojmHg1NKpg